Hi, I'm Ask INFA!
What would you like to know?
ASK INFAPreview
Please to access Ask INFA.

Table of Contents

Search

  1. Preface
  2. IDMC REST API
  3. REST API resource quick references
  4. Platform REST API version 2 resources
  5. Platform REST API version 3 resources
  6. Data Integration REST API
  7. Cloud Data Integration for PowerCenter (CDI-PC) REST API
  8. Data Ingestion and Replication REST API
  9. Customer Managed REST API
  10. RunAJob utility
  11. ParamSetCli utility
  12. REST API codes

REST API Reference

REST API Reference

Start the job

Start the job

Use the jobId to start a job instance.
Use the following POST request to run a task:
POST /dbmi/public/api/v2/job/start
Include the following attribute in the request body:
Field
Type
Description
jobId
integer
The ID of the job that you want to start.

Sample body

Use the following request body to pass the job ID to the resource:
{ "jobId": "15" }
Each task corresponds to a single job ID. Therefore, when you retrieve the job ID for a given task, only one job ID is returned.

Sample response

A successful response returns a 202 status code indicating the job is accepted to start:
{ "status": "Success", "code": 202, "message": "Job with org id 2HimcQ9cXW5kLUCOUkXGi8 and job name zendeskToSlfk-UserA-test_8 has been accepted to start successfully." }
The start job API initiates the job asynchronously. The response confirms that the job has been accepted to start. To check if the job started successfully and monitor its progress, query the job status API. For more information, see Get Job Status API.

Failed responses

If the request fails, the API might return one of the following HTTP error codes:
HTTP status code
Error code
Error message
400
CDIR_VALIDATION_MISSING_FIELD
Required parameter {field} is missing.
400
CDIR_VALIDATION_ INVALID_VALUE
Value for {field} is invalid.
401
CDIR_AUTH_UNAUTHORIZED
Authentication failed. Access token is missing or expired.
403
CDIR_AUTHZ_FORBIDDEN
You do not have the required permissions for this request.
404
CDIR_JOB_NOT_FOUND
Job {jobId} was not found.
409
CDIR_JOB_ALREADY_RUNNING
Job {jobId} is already running.
409
CDIR_JOB_NOT_DEPLOYED
Deploy the job {jobId} before performing this operation.
409
CDIR_JOB_INVALID_STATE like failed/stopped/aborted
Job {jobId} cannot perform the requested action while in state {state}. Verify the job's status before retrying.
500
CDIR_INTERNAL_ERROR
An unexpected internal error occurred with this job.
503
CDIR_SERVICE_UNAVAILABLE
Service is temporarily unavailable.
The following example shows a sample error response when you start a job that is in a stopped state:
{ "error": { "httpStatus": 409, "code": "CDIR_JOB_INVALID_STATE", "message": "Job {134609} cannot perform the requested action while in its current state. Verify the job's status before retrying.", "details": [ { "jobId": "134609" } ], "traceId": "464ca200-2f04-4bb3-bc90-365641aa65f7" } }

0 COMMENTS

We’d like to hear from you!